#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
module Extracter

class Extracter

  # ========================================================================= #
  # === show_help                                                  (help tag)
  #
  # This method will show the available - and documented - help options
  # for class Extracter.
  # ========================================================================= # 
  def show_help
    e
    opnn; e 'How to extract archives, without helper scripts?'
    e
    opnn; e '  tar -zxvf foobar.tar.gz           # for .tar.gz'
    opnn; e '  tar xvzf foobar.tgz               # for .tgz'
    opnn; e '  tar xvfJ foobar.tar.xz            # for .tar.xz'
    opnn; e '  tar jxf foobar.tar.bz2            # for .tar.bz2'
    opnn; e '  tar -xf foobar.tar.bz2            # for .tbz'
    opnn; e '  tar --lzip -xvf zutils-1.5.tar.lz # for .tar.lz'
    opnn; e '  unsquashfs foobar-1.2.3.sxz       # for .sxz'
    e
    opnn; e 'Furthermore, there are some commandline options '\
            'that can be used for this class (class Extracter).'
    e
    opnn; e '  --to=/home/Temp # extract into the '\
            'directory /home/Temp/'
    e
  end

end; end